/*
Eu novamente mandei no ChatGPT somente para corrigir meu código no sentido de
arrumar, não deixar bagunçado e melhorar a organização.
*/

/* =========================
   MENU
   ========================= */

.menu {
    display: grid;
    grid-template-columns: 180px 2fr 180px;
    align-items: center;
    justify-items: center;
    margin-bottom: 50px;
    background-color: #0066B3;
    height: 100px;
}

/* Imagem do menu */
.menu img {
    height: 90px;
    display: flex;
    margin-left: 100px;
    
}

/* Campo de pesquisa */
.menu input {
    width: 180px;
    height: 30px;
    justify-self: center;
}

/* Lista do menu */
.menu ul {
    list-style: none;
    justify-content: center;
    display: flex;
    gap: 40px;
    font-size: 30px;
    padding: 0;
    margin: 0;
}


/* =========================
   LINKS
   ========================= */
.menu a{
    display: inline-block;
    text-decoration: none;
    transition: 0.3s;
    color: whitesmoke;
}

/* Efeito ao passar o mouse */
.menu a:hover {
    transform: scale(1.10);
}



/* =========================
   VÍDEO
   ========================= */

video {
    display: block;
    margin: auto;
    width: 100%;
    margin-top: 30px;
    border-radius: 10px;
}


/* =========================
   CONTEÚDO
   ========================= */

.conteudo {
    width: 90%;
    margin: auto;
}


/* =========================
   BODY
   ========================= */

body {
    background-color: #F3F4F6;
}


/* =========================
   CURSOS
   ========================= */

#cursos {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    justify-items: center;
    align-items: center;
    text-align: center;
    margin-top: 30px;
    gap: 90px;
}

/* Imagens dos cursos */
#cursos img {
    width: 350px;
    border-radius: 10px;
}

#cursos a{
    display: inline-block;
    text-decoration: none;
    transition: 0.3s;
    color: black;
    font-size: 22px;}

#cursos a:hover{
    transform: scale(1.10);
    color: #0066B3;
}
/* =========================
   DESENVOLVIMENTO
   ========================= */



/* =========================
   OBJETIVO
   ========================= */

#objetivo ul {
    list-style: none;
}


.rodape{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    text-align: center;
    margin-top: 30px;
    background-color: #0066B3;
    color: white;
}

footer a{
    text-decoration: none;
    display:inline-block;
    color: whitesmoke;
    transition: 0.3s;
}

footer a:hover{
    transform: scale(1.10);
}